<?php
// $Id: listing_address.views.inc,v 1.1 2010/12/04 00:43:47 newzeal Exp $

/**
 * Implementation of hook_views_handlers().
 */
function listing_address_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'listing_address') .'/views',
    ),
    'handlers' => array(
      'listing_address_handler_bycountry' => array(
        'parent' => 'views_handler_argument',
      ),
      'listing_address_handler_byprovince' => array(
        'parent' => 'views_handler_argument',
      ),
     
    ),
  );
}


// ---------- Table OG

function listing_address_views_data() {
  foreach(variable_get('listing_content_types', array()) as $type) {
    $data['content_type_'.$type]['table']['group']  = t('Address Search');
/*
    $data['content_type_'.$type]['table']['base'] = array(
      'field' => 'nid',
      'title' => t('Node'),
      'help' => t('Job listing.'),
    );
*/
    // joins
    $data['content_type_'.$type]['table']['join'] = array(
      //...to the node table
      'node' => array(
        'left_field' => 'nid',
        'field' => 'nid',
      ),
    );

    $data['content_type_'.$type]['nid'] = array(
      'title' => t('Search by Country'),
      'help' => t('Select listings by country.'),
	  'operator' =>  array('=' => 'equals'),
      'argument' => array(
        'handler' => 'listing_address_handler_bycountry',
      ),
     );
    $data['content_type_'.$type]['field_job_address_province'] = array(
      'title' => t('Jobs by Province'),
      'help' => t('Select listings by province.'),
	  'operator' =>  array('=' => 'equals'),
      'argument' => array(
        'handler' => 'listing_address_handler_byprovince',
      ),
     );
   }
   return $data;
}